Bug 247062 - lang/polyml: update to 5.8, unbreak on aarch64, add more options
Summary: lang/polyml: update to 5.8, unbreak on aarch64, add more options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-06-07 19:45 UTC by Greg V
Modified: 2020-07-01 13:39 UTC (History)
2 users (show)

See Also:
lwhsu: maintainer-feedback+


Attachments
polyml.patch (3.24 KB, patch)
2020-06-07 19:45 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2020-06-07 19:45:36 UTC
Created attachment 215331 [details]
polyml.patch

- New release
- Build on aarch64 (disabling pthread signals prevents the build crash)
- Add libgmp option, enabled by default
- Add --enable-intinf-as-int option, enabled by default (required for the Isabelle/HOL theorem prover, at least)
Comment 1 Automation User 2020-06-07 20:08:19 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/153759820
Comment 2 Timothy Beyer 2020-06-30 22:27:05 UTC
approved, sorry about the delay
Comment 3 commit-hook freebsd_committer 2020-07-01 13:39:59 UTC
A commit references this bug:

Author: lwhsu
Date: Wed Jul  1 13:39:24 UTC 2020
New revision: 540963
URL: https://svnweb.freebsd.org/changeset/ports/540963

Log:
  Update to 5.8

  PR:		247062
  Submitted by:	Greg V <greg@unrelenting.technology>
  Approved by:	Timothy Beyer <beyert@cs.ucr.edu> (maintainer)

Changes:
  head/lang/polyml/Makefile
  head/lang/polyml/distinfo
  head/lang/polyml/files/
  head/lang/polyml/files/patch-libpolyml_sighandler.cpp
  head/lang/polyml/pkg-plist